For the complete documentation index, see llms.txt. This page is also available as Markdown.

Process history log endpoints

Get process history logs

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Return all logs for a given process.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
processIdstringRequired
Query parameters
typestringOptional

A type parameter for filtering history logs

usernamestringOptional

Reference to the username you want to get the corresponding history logs

facilityNamestringOptional

Reference to the facility name you want to get the corresponding history logs

startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
orderBystring · enumOptional

Attribute to order a process history log by

Possible values:
filterConsecutiveDuplicatesbooleanOptional

control whether you want to filter consecutive duplicate logs

Default: true
Responses
200

The process logs which were found in response body

application/json

ProcessHistoryLogs

totalintegerOptional

Total number of found entities for this query

Example: 3
get/api/processes/{processId}/historylogs
GET /api/processes/{processId}/historylogs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "historyLogs": [
    {
      "domain": "ORDER",
      "domainRef": "text",
      "eventCause": "text",
      "id": "text",
      "status": "text",
      "timestamp": "2025-01-01T08:45:50.525Z",
      "type": "text",
      "user": {
        "username": "text",
        "userRef": "text"
      },
      "version": 1,
      "info": "text"
    }
  ],
  "total": 3
}

Last updated

Was this helpful?